RestfulEndpoint (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.management.api

## Interface RestfulEndpoint

- All Superinterfaces:
    Identifiable<String>, Serializable
  All Known Implementing Classes:
    GatewayReceiverConfig, MemberConfig, Pdx, RegionConfig, RegionConfig.Index

      @Experimental
      public interface RestfulEndpoint
      extends Identifiable<String>

  a restful service request just needs: 1. an endpoint to list all instances (e.g. "/regions") 2. an id mechanism to distinguish instance (e.g. "{id}") 3. an endpoint to update or delete an individual instance (e.g. "/regions/{id}")

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `URI_CONTEXT`
    `static String` | `URI_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEndpoint()` this returns the URI that display the list of entries.
    `default String` | `getIdentityEndPoint()` return the uri that points to a single entity.
    `default String` | `getUri()` return the full uri path that points to a single entity.

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `getId`

- - ### Field Detail

    - #### URI_CONTEXT

          static final String URI_CONTEXT

      See Also:
        Constant Field Values

    - #### URI_VERSION

          static final String URI_VERSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEndpoint

          String getEndpoint()

      this returns the URI that display the list of entries. it should return URI the part after /experimental
      Returns:
        e.g. /regions

    - #### getIdentityEndPoint

          default String getIdentityEndPoint()

      return the uri that points to a single entity. If the id is not available for the object, this will return null it should return the URI part after /experimental
      Returns:
        e.g. /regions/regionA

    - #### getUri

          default String getUri()

      return the full uri path that points to a single entity. If the id is not available for the object, this will return null it should return the URI part after http://hostname:port
      Returns:
        e.g. /management/experimental/regions/regionA